searchData={"items":[{"type":"module","title":"Exyt","doc":"Documentation for `Exyt`.\nWrapper / helper to download media from YT","ref":"Exyt.html"},{"type":"function","title":"Exyt.check_setup/0","doc":"check_setup","ref":"Exyt.html#check_setup/0"},{"type":"function","title":"Examples - Exyt.check_setup/0","doc":"iex> Exyt.check_setup()","ref":"Exyt.html#check_setup/0-examples"},{"type":"function","title":"Exyt.download/3","doc":"Downloads a media file from a valid YouTube URL.","ref":"Exyt.html#download/3"},{"type":"function","title":"Parameters - Exyt.download/3","doc":"`url` (string): A valid YouTube URL.\n    `opts` (list): YT-DLP default arguments.\n    `async` (boolean): If true, download will be executed in background. Default is false.","ref":"Exyt.html#download/3-parameters"},{"type":"function","title":"Examples - Exyt.download/3","doc":"iex> url = \"https://www.youtube.com/watch?v=BaW_jenozKc\"\n    iex> options = [\"format=mp4\", \"output=video.mp4\"]\n    iex> Exyt.download(url, options, true)\n    iex> {:ok, _pid} = Exyt.download(url, options, true)\n    iex> {:ok, _filename} = Exyt.download(url, options, false)","ref":"Exyt.html#download/3-examples"},{"type":"function","title":"Returns - Exyt.download/3","doc":"A tuple with two elements:\n    - `:status_request` (atom): The status of the request (:ok or :error).\n    - `:string_media_filename` (string): The filename of the media file. |  PID of async downloading task","ref":"Exyt.html#download/3-returns"},{"type":"function","title":"Exyt.get_description/1","doc":"Retrieves the description of a media file from the given URL.","ref":"Exyt.html#get_description/1"},{"type":"function","title":"Parameters - Exyt.get_description/1","doc":"`url` (string): A URL string pointing to a media file.","ref":"Exyt.html#get_description/1-parameters"},{"type":"function","title":"Returns - Exyt.get_description/1","doc":"A tuple with two elements:\n    - `:status_request` (atom): The status of the request (:ok or :error).\n    - `:string_media_description` (string): The description of the media file.","ref":"Exyt.html#get_description/1-returns"},{"type":"function","title":"Examples - Exyt.get_description/1","doc":"iex> url = \"https://www.youtube.com/watch?v=BaW_jenozKc\"\n    iex> Exyt.get_description(url)","ref":"Exyt.html#get_description/1-examples"},{"type":"function","title":"Exyt.get_duration/1","doc":"Retrieves the duration of a media file from the given URL.","ref":"Exyt.html#get_duration/1"},{"type":"function","title":"Parameters - Exyt.get_duration/1","doc":"`url` (string): A URL string pointing to a media file.","ref":"Exyt.html#get_duration/1-parameters"},{"type":"function","title":"Returns - Exyt.get_duration/1","doc":"A tuple with two elements:\n    - `:status_request` (atom): The status of the request (:ok or :error).\n    - `:duration_in_seconds` (number): The duration of the media file in seconds.","ref":"Exyt.html#get_duration/1-returns"},{"type":"function","title":"Examples - Exyt.get_duration/1","doc":"iex> url = \"https://www.youtube.com/watch?v=BaW_jenozKc\"\n    iex> Exyt.get_duration(url)","ref":"Exyt.html#get_duration/1-examples"},{"type":"function","title":"Exyt.get_filename/1","doc":"Retrieves the filename of a media file from the given URL.","ref":"Exyt.html#get_filename/1"},{"type":"function","title":"Parameters - Exyt.get_filename/1","doc":"`url` (string): A URL string pointing to a media file.","ref":"Exyt.html#get_filename/1-parameters"},{"type":"function","title":"Returns - Exyt.get_filename/1","doc":"A tuple with two elements:\n    - `:status_request` (atom): The status of the request (:ok or :error).\n    - `:string_media_filename` (string): The filename of the media file.","ref":"Exyt.html#get_filename/1-returns"},{"type":"function","title":"Examples - Exyt.get_filename/1","doc":"iex> url = \"https://www.youtube.com/watch?v=BaW_jenozKc\"\n    iex> Exyt.get_filename(url)","ref":"Exyt.html#get_filename/1-examples"},{"type":"function","title":"Exyt.get_format/1","doc":"Retrieves the format of a media file from the given URL.","ref":"Exyt.html#get_format/1"},{"type":"function","title":"Parameters - Exyt.get_format/1","doc":"`url` (string): A URL string pointing to a media file.","ref":"Exyt.html#get_format/1-parameters"},{"type":"function","title":"Returns - Exyt.get_format/1","doc":"A tuple with two elements:\n    - `:status_request` (atom): The status of the request (:ok or :error).\n    - `:string_media_format` (string): The format of the media file.","ref":"Exyt.html#get_format/1-returns"},{"type":"function","title":"Examples - Exyt.get_format/1","doc":"iex> url = \"https://www.youtube.com/watch?v=BaW_jenozKc\"\n    iex> Exyt.get_format(url)","ref":"Exyt.html#get_format/1-examples"},{"type":"function","title":"Exyt.get_id/1","doc":"Retrieves the ID of a media file from the given URL.","ref":"Exyt.html#get_id/1"},{"type":"function","title":"Parameters - Exyt.get_id/1","doc":"`url` (string): A URL string pointing to a media file.","ref":"Exyt.html#get_id/1-parameters"},{"type":"function","title":"Returns - Exyt.get_id/1","doc":"A tuple with two elements:\n    - `:status_request` (atom): The status of the request (:ok or :error).\n    - `:string_media_id` (string): The ID of the media file.","ref":"Exyt.html#get_id/1-returns"},{"type":"function","title":"Examples - Exyt.get_id/1","doc":"iex> url = \"https://www.youtube.com/watch?v=BaW_jenozKc\"\n    iex> Exyt.get_id(url)","ref":"Exyt.html#get_id/1-examples"},{"type":"function","title":"Exyt.get_thumbnail/1","doc":"Retrieves the thumbnail URL of a media file from the given URL.","ref":"Exyt.html#get_thumbnail/1"},{"type":"function","title":"Parameters - Exyt.get_thumbnail/1","doc":"`url` (string): A URL string pointing to a media file.","ref":"Exyt.html#get_thumbnail/1-parameters"},{"type":"function","title":"Returns - Exyt.get_thumbnail/1","doc":"A tuple with two elements:\n    - `:status_request` (atom): The status of the request (:ok or :error).\n    - `:string_thumbnail_url` (string): The URL of the media file's thumbnail.","ref":"Exyt.html#get_thumbnail/1-returns"},{"type":"function","title":"Examples - Exyt.get_thumbnail/1","doc":"iex> url = \"https://www.youtube.com/watch?v=BaW_jenozKc\"\n    iex> Exyt.get_thumbnail(url)","ref":"Exyt.html#get_thumbnail/1-examples"},{"type":"function","title":"Exyt.get_title/1","doc":"Retrieves the title of a media file from the given URL.","ref":"Exyt.html#get_title/1"},{"type":"function","title":"Parameters - Exyt.get_title/1","doc":"`url` (string): A URL string pointing to a media file.","ref":"Exyt.html#get_title/1-parameters"},{"type":"function","title":"Returns - Exyt.get_title/1","doc":"A tuple with two elements:\n    - `:status_request` (atom): The status of the request (:ok or :error).\n    - `:string_media_title` (string): The title of the media file.","ref":"Exyt.html#get_title/1-returns"},{"type":"function","title":"Examples - Exyt.get_title/1","doc":"iex> url = \"https://www.youtube.com/watch?v=BaW_jenozKc\"\n    iex> Exyt.get_title(url)","ref":"Exyt.html#get_title/1-examples"},{"type":"function","title":"Exyt.get_url/1","doc":"Retrieves the media URL from the given URL.","ref":"Exyt.html#get_url/1"},{"type":"function","title":"Parameters - Exyt.get_url/1","doc":"`url` (string): A URL string pointing to a media file.","ref":"Exyt.html#get_url/1-parameters"},{"type":"function","title":"Returns - Exyt.get_url/1","doc":"A tuple with two elements:\n    - `:status_request` (atom): The status of the request (:ok or :error).\n    - `:string_media_url` (string): The URL of the media file.","ref":"Exyt.html#get_url/1-returns"},{"type":"function","title":"Examples - Exyt.get_url/1","doc":"iex> url = \"https://www.youtube.com/watch?v=BaW_jenozKc\"\n    iex> Exyt.get_url(url)","ref":"Exyt.html#get_url/1-examples"},{"type":"function","title":"Exyt.is_valid_url?/1","doc":"Checks if a URL string is valid.","ref":"Exyt.html#is_valid_url?/1"},{"type":"function","title":"Parameters - Exyt.is_valid_url?/1","doc":"`url` (string): A URL string to be checked for validity.","ref":"Exyt.html#is_valid_url?/1-parameters"},{"type":"function","title":"Returns - Exyt.is_valid_url?/1","doc":"A boolean indicating whether the URL is valid (true) or not (false).","ref":"Exyt.html#is_valid_url?/1-returns"},{"type":"function","title":"Examples - Exyt.is_valid_url?/1","doc":"iex> valid_url = \"https://www.youtube.com/watch?v=BaW_jenozKc\"\n    iex> Exyt.is_valid_url?(valid_url)\n    true","ref":"Exyt.html#is_valid_url?/1-examples"},{"type":"function","title":"Exyt.list_formats/1","doc":"","ref":"Exyt.html#list_formats/1"},{"type":"function","title":"Exyt.validate_url/1","doc":"Validates a URL string to check if it's a valid YouTube URL.","ref":"Exyt.html#validate_url/1"},{"type":"function","title":"Parameters - Exyt.validate_url/1","doc":"-`url` (string): A URL string to be validated.","ref":"Exyt.html#validate_url/1-parameters"},{"type":"function","title":"Returns - Exyt.validate_url/1","doc":"A tuple representing the validation result:\n  - `{:ok, valid_url}` (tuple): If the URL is a valid YouTube URL.\n  - `{:error, :invalid_youtube_url}` (tuple): If the URL is not a valid YouTube URL.","ref":"Exyt.html#validate_url/1-returns"},{"type":"function","title":"Examples - Exyt.validate_url/1","doc":"iex> url = \"https://www.youtube.com/watch?v=BaW_jenozKc\"\n    iex> Exyt.validate_url(url)","ref":"Exyt.html#validate_url/1-examples"},{"type":"function","title":"Exyt.ytdlp/2","doc":"call ytdlp with custom params","ref":"Exyt.html#ytdlp/2"},{"type":"function","title":"Examples - Exyt.ytdlp/2","doc":"iex> Exyt.ytdlp([\"--get-filename\"], \"https://www.youtube.com/watch?v=BaW_jenozKc\")","ref":"Exyt.html#ytdlp/2-examples"},{"type":"module","title":"Exyt.Media","doc":"","ref":"Exyt.Media.html"},{"type":"function","title":"Exyt.Media.download/2","doc":"","ref":"Exyt.Media.html#download/2"},{"type":"function","title":"Exyt.Media.get_description/1","doc":"","ref":"Exyt.Media.html#get_description/1"},{"type":"function","title":"Exyt.Media.get_duration/1","doc":"","ref":"Exyt.Media.html#get_duration/1"},{"type":"function","title":"Exyt.Media.get_filename/1","doc":"","ref":"Exyt.Media.html#get_filename/1"},{"type":"function","title":"Exyt.Media.get_format/1","doc":"","ref":"Exyt.Media.html#get_format/1"},{"type":"function","title":"Exyt.Media.get_id/1","doc":"","ref":"Exyt.Media.html#get_id/1"},{"type":"function","title":"Exyt.Media.get_thumbnail/1","doc":"","ref":"Exyt.Media.html#get_thumbnail/1"},{"type":"function","title":"Exyt.Media.get_title/1","doc":"","ref":"Exyt.Media.html#get_title/1"},{"type":"function","title":"Exyt.Media.get_url/1","doc":"","ref":"Exyt.Media.html#get_url/1"},{"type":"function","title":"Exyt.Media.list_formats/1","doc":"","ref":"Exyt.Media.html#list_formats/1"},{"type":"function","title":"Exyt.Media.ytdlp/2","doc":"","ref":"Exyt.Media.html#ytdlp/2"},{"type":"module","title":"Exyt.Requirements","doc":"","ref":"Exyt.Requirements.html"},{"type":"function","title":"Exyt.Requirements.check_setup/0","doc":"","ref":"Exyt.Requirements.html#check_setup/0"},{"type":"module","title":"Exyt.URL","doc":"","ref":"Exyt.URL.html"},{"type":"function","title":"Exyt.URL.is_valid?/1","doc":"","ref":"Exyt.URL.html#is_valid?/1"},{"type":"function","title":"Exyt.URL.validate/1","doc":"","ref":"Exyt.URL.html#validate/1"},{"type":"module","title":"Exyt.YTdlp","doc":"","ref":"Exyt.YTdlp.html"},{"type":"function","title":"Exyt.YTdlp.call/1","doc":"","ref":"Exyt.YTdlp.html#call/1"},{"type":"function","title":"Exyt.YTdlp.call_formatting_output/1","doc":"","ref":"Exyt.YTdlp.html#call_formatting_output/1"},{"type":"function","title":"Exyt.YTdlp.call_returning_filepath/1","doc":"","ref":"Exyt.YTdlp.html#call_returning_filepath/1"}],"content_type":"text/markdown"}